package com.zehong.system.domain.vo;

import java.util.List;

/**
 * @author geng
 * 批量导入试题
 */
public class BatchTopicVo {

    /**
     * 所属考试id
     */
    private Long courseId;

    private List<TopicInfos> topicInfos;

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public List<TopicInfos> getTopicInfos() {
        return topicInfos;
    }

    public void setTopicInfos(List<TopicInfos> topicInfos) {
        this.topicInfos = topicInfos;
    }

    /**
     * @author geng
     * 题库批量导入试题实体
     */
    public static class TopicInfos{

        /**
         * 题库id
         */
        private Long bankId;

        /**
         * 随机抽取题数量
         */
        private int quan;

        public Long getBankId() {
            return bankId;
        }

        public void setBankId(Long bankId) {
            this.bankId = bankId;
        }

        public int getQuan() {
            return quan;
        }

        public void setQuan(int quan) {
            this.quan = quan;
        }
    }
}
